package com.icomsys.vo;

import java.time.LocalDateTime;

public class MessageSendLogInfo {

    private String seqNo;
    private String sendYn;
    private String userKey;
    private String callBack;
    private String receiverTelNo;
    private String sendType;
    private String contents;
    private String advertisementYn;
    private String imageFile1;
    private String imageFile2;
    private String imageFile3;
    private String videoFile;
    private String senderKey;
    private String templateCode;
    private String initCallNo;
    private String apiResponseCode;
    private String resultCode;
    private LocalDateTime registDate;
    private String optionYn;

    private MessageSendLogInfo(Builder builder) {
        this.seqNo = builder.seqNo;
        this.sendYn = builder.sendYn;
        this.userKey = builder.userKey;
        this.callBack = builder.callBack;
        this.receiverTelNo = builder.receiverTelNo;
        this.sendType = builder.sendType;
        this.contents = builder.contents;
        this.advertisementYn = builder.advertisementYn;
        this.imageFile1 = builder.imageFile1;
        this.imageFile2 = builder.imageFile2;
        this.imageFile3 = builder.imageFile3;
        this.videoFile = builder.videoFile;
        this.senderKey = builder.senderKey;
        this.templateCode = builder.templateCode;
        this.initCallNo = builder.initCallNo;
        this.apiResponseCode = builder.apiResponseCode;
        this.resultCode = builder.resultCode;
        this.registDate = builder.registDate;
        this.optionYn = builder.optionYn;
    }

    public static class Builder {
        private String seqNo;
        private String sendYn;
        private String userKey;
        private String callBack;
        private String receiverTelNo;
        private String sendType;
        private String contents;
        private String advertisementYn;
        private String imageFile1;
        private String imageFile2;
        private String imageFile3;
        private String videoFile;
        private String senderKey;
        private String templateCode;
        private String initCallNo;
        private String apiResponseCode;
        private String resultCode;
        private LocalDateTime registDate;
        private String optionYn;

        public Builder setSeqNo(String seqNo) {
            this.seqNo = seqNo;
            return this;
        }

        public Builder setSendYn(String sendYn) {
            this.sendYn = sendYn;
            return this;
        }

        public Builder setUserKey(String userKey) {
            this.userKey = userKey;
            return this;
        }

        public Builder setCallBack(String callBack) {
            this.callBack = callBack;
            return this;
        }

        public Builder setReceiverTelNo(String receiverTelNo) {
            this.receiverTelNo = receiverTelNo;
            return this;
        }

        public Builder setSendType(String sendType) {
            this.sendType = sendType;
            return this;
        }

        public Builder setContents(String contents) {
            this.contents = contents;
            return this;
        }

        public Builder setAdvertisementYn(String advertisementYn) {
            this.advertisementYn = advertisementYn;
            return this;
        }

        public Builder setImageFile1(String imageFile1) {
            this.imageFile1 = imageFile1;
            return this;
        }

        public Builder setImageFile2(String imageFile2) {
            this.imageFile2 = imageFile2;
            return this;
        }

        public Builder setImageFile3(String imageFile3) {
            this.imageFile3 = imageFile3;
            return this;
        }

        public Builder setVideoFile(String videoFile) {
            this.videoFile = videoFile;
            return this;
        }

        public Builder setSenderKey(String senderKey) {
            this.senderKey = senderKey;
            return this;
        }

        public Builder setTemplateCode(String templateCode) {
            this.templateCode = templateCode;
            return this;
        }

        public Builder setInitCallNo(String initCallNo) {
            this.initCallNo = initCallNo;
            return this;
        }

        public Builder setApiResponseCode(String apiResponseCode) {
            this.apiResponseCode = apiResponseCode;
            return this;
        }

        public Builder setResultCode(String resultCode) {
            this.resultCode = resultCode;
            return this;
        }

        public Builder setRegistDate(LocalDateTime registDate) {
            this.registDate = registDate;
            return this;
        }

        public Builder setOptionYn(String optionYn) {
            this.optionYn = optionYn;
            return this;
        }

        public MessageSendLogInfo build() {
            return new MessageSendLogInfo(this);
        }
    }
}
