package com.icomsys.vo;

public class MessageSendRequest {
    private String callback;
    private String contents;
    private String receiverTelNo;
    private String userKey;
    private String advertisementYn;
    private String sendType;
    private String senderKey;
    private String templateCode;
    private byte[] imageFile1;
    private byte[] imageFile2;
    private byte[] imageFile3;
    private byte[] videoFile;
    private String initCallNo;
    private String optionYn;

    public MessageSendRequest() {}

    public MessageSendRequest(
            String callback, String contents, String receiverTelNo, String userKey,
            String advertisementYn, String sendType, String senderKey, String templateCode,
            byte[] imageFile1, byte[] imageFile2, byte[] imageFile3, byte[] videoFile,
            String initCallNo, String optionYn
    ) {
        this.callback = callback;
        this.contents = contents;
        this.receiverTelNo = receiverTelNo;
        this.userKey = userKey;
        this.advertisementYn = advertisementYn;
        this.sendType = sendType;
        this.senderKey = senderKey;
        this.templateCode = templateCode;
        this.imageFile1 = imageFile1;
        this.imageFile2 = imageFile2;
        this.imageFile3 = imageFile3;
        this.videoFile = videoFile;
        this.initCallNo = initCallNo;
        this.optionYn = optionYn;
    }

    public String getCallback() {
        return callback;
    }

    public void setCallback(String callback) {
        this.callback = callback;
    }

    public String getContents() {
        return contents;
    }

    public void setContents(String contents) {
        this.contents = contents;
    }

    public String getReceiverTelNo() {
        return receiverTelNo;
    }

    public void setReceiverTelNo(String receiverTelNo) {
        this.receiverTelNo = receiverTelNo;
    }

    public String getUserKey() {
        return userKey;
    }

    public void setUserKey(String userKey) {
        this.userKey = userKey;
    }

    public String getAdvertisementYn() {
        return advertisementYn;
    }

    public void setAdvertisementYn(String advertisementYn) {
        this.advertisementYn = advertisementYn;
    }

    public String getSendType() {
        return sendType;
    }

    public void setSendType(String sendType) {
        this.sendType = sendType;
    }

    public String getSenderKey() {
        return senderKey;
    }

    public void setSenderKey(String senderKey) {
        this.senderKey = senderKey;
    }

    public String getTemplateCode() {
        return templateCode;
    }

    public void setTemplateCode(String templateCode) {
        this.templateCode = templateCode;
    }

    public byte[] getImageFile1() {
        return imageFile1;
    }

    public void setImageFile1(byte[] imageFile1) {
        this.imageFile1 = imageFile1;
    }

    public byte[] getImageFile2() {
        return imageFile2;
    }

    public void setImageFile2(byte[] imageFile2) {
        this.imageFile2 = imageFile2;
    }

    public byte[] getImageFile3() {
        return imageFile3;
    }

    public void setImageFile3(byte[] imageFile3) {
        this.imageFile3 = imageFile3;
    }

    public byte[] getVideoFile() {
        return videoFile;
    }

    public void setVideoFile(byte[] videoFile) {
        this.videoFile = videoFile;
    }

    public String getInitCallNo() {
        return initCallNo;
    }

    public void setInitCallNo(String initCallNo) {
        this.initCallNo = initCallNo;
    }

    public String getOptionYn() {
        return optionYn;
    }

    public void setOptionYn(String optionYn) {
        this.optionYn = optionYn;
    }

    @Override
    public String toString() {
        return "MessageSendRequest{" +
                "callback='" + callback + '\'' +
                ", contents='" + contents + '\'' +
                ", receiverTelNo='" + receiverTelNo + '\'' +
                ", userKey='" + userKey + '\'' +
                ", advertisementYn='" + advertisementYn + '\'' +
                ", sendType='" + sendType + '\'' +
                ", senderKey='" + senderKey + '\'' +
                ", templateCode='" + templateCode + '\'' +
                ", imageFile1=" + (imageFile1 != null ? "not null" : "null") +
                ", imageFile2=" + (imageFile2 != null ? "not null" : "null") +
                ", imageFile3=" + (imageFile3 != null ? "not null" : "null") +
                ", videoFile=" + (videoFile != null ? "not null" : "null") +
                ", initCallNo='" + initCallNo + '\'' +
                ", optionYn='" + optionYn + '\'' +
                '}';
    }

    public static class Builder {
        private String callback;
        private String contents;
        private String receiverTelNo;
        private String userKey;
        private String advertisementYn;
        private String sendType;
        private String senderKey;
        private String templateCode;
        private byte[] imageFile1;
        private byte[] imageFile2;
        private byte[] imageFile3;
        private byte[] videoFile;
        private String initCallNo;
        private String optionYn;

        public Builder callback(String callback) {
            this.callback = callback;
            return this;
        }

        public Builder contents(String contents) {
            this.contents = contents;
            return this;
        }

        public Builder receiverTelNo(String receiverTelNo) {
            this.receiverTelNo = receiverTelNo;
            return this;
        }

        public Builder userKey(String userKey) {
            this.userKey = userKey;
            return this;
        }

        public Builder advertisementYn(String advertisementYn) {
            this.advertisementYn = advertisementYn;
            return this;
        }

        public Builder sendType(String sendType) {
            this.sendType = sendType;
            return this;
        }

        public Builder senderKey(String senderKey) {
            this.senderKey = senderKey;
            return this;
        }

        public Builder templateCode(String templateCode) {
            this.templateCode = templateCode;
            return this;
        }

        public Builder imageFile1(byte[] imageFile1) {
            this.imageFile1 = imageFile1;
            return this;
        }

        public Builder imageFile2(byte[] imageFile2) {
            this.imageFile2 = imageFile2;
            return this;
        }

        public Builder imageFile3(byte[] imageFile3) {
            this.imageFile3 = imageFile3;
            return this;
        }

        public Builder videoFile(byte[] videoFile) {
            this.videoFile = videoFile;
            return this;
        }

        public Builder initCallNo(String initCallNo) {
            this.initCallNo = initCallNo;
            return this;
        }

        public Builder optionYn(String optionYn) {
            this.optionYn = optionYn;
            return this;
        }

        public MessageSendRequest build() {
            return new MessageSendRequest(
                    callback, contents, receiverTelNo, userKey, advertisementYn,
                    sendType, senderKey, templateCode, imageFile1, imageFile2,
                    imageFile3, videoFile, initCallNo, optionYn
            );
        }
    }
}
